Subject: Re: bug#24640: Crashes in 25.1
From: Eli Zaretskii <[email-masked]>
To: Reuben Thomas <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 14 Oct 2016 23:06:00 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Reuben Thomas <[email-masked]>
> Date: Wed, 12 Oct 2016 21:45:14 +0100
> Cc: Toby Cubitt <[email-masked]>, Phillip Lord <[email-masked]>, [email-masked]
> 
> On 12 October 2016 at 20:15, Eli Zaretskii <[email-masked]> wrote:
> 
>  Your surprise is IMO a reason good enough to ask Reuben to send you
>  the undo-tree history file for analysis. Who knows, it might even be
>  the clue we are looking for. (I agree that the error alone should
>  not, and most probably is not, the cause of the crash.)
> 
> ​Toby, I'm happy to send you this file if you like.​
> 
> ​Apologies, I'm having trouble following all the ramifications of Eli's energetic debugging effort; is there any
> other action you (Toby) would like me to take?

This bug is now fixed on the emacs-25 branch.  It was caused by a
change 2 years ago that placed a stack-allocated cons cell in a
staticpro'd list that is a value of a global variable, which isn't
cleared when that stack slot goes out of scope.

Many thanks to Reuben for letting me (ab)use his system and his time
in order to find and fix this bug.